#include "mainwindow.h"
#include "ui_mainwindow.h"

MainWindow::MainWindow(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::MainWindow),
    timer_(new QTimer)
{
    ui->setupUi(this);

    setWindowFlags(windowFlags()&~Qt::WindowMaximizeButtonHint);

    setFixedSize(this->width(),this->height());


    /*
     * QObject::connect(timer_,SIGNAL(timeout()),this,SLOT(interrupt_deal()));
     */


    QObject::connect(timer_,&QTimer::timeout,this,&MainWindow::interrupt_deal);
    timer_->setInterval(10);
    timer_->start();

}

MainWindow::~MainWindow()
{
    delete ui;
}

void MainWindow::on_HQ_clicked()
{


    QString info = QHostInfo::localHostName();
    ui->Info->clear();

    ui->Info->append("当前计算机名:"+info);

    QHostInfo admin = QHostInfo::fromName(info);
    foreach(const QHostAddress &stdio,admin.addresses())
    {
        if(stdio.protocol()==QAbstractSocket::IPv4Protocol)
        {
            ui->Info->append("IPV4:"+stdio.toString());
        }

    }

}

void MainWindow::interrupt_deal()
{
    QTime time_total = QTime::currentTime();

    ui->Hour->display(time_total.hour());
    ui->Minu->display(time_total.minute());
    ui->Sec->display(time_total.second());



}
